#include "pitches.h"

/* Configuration
 *********************************************************/
#define LIGHT_PIN 9       // lights connected to digital pin 9
#define SPEAKER_PIN 8 	// speaker connected to digital pin 9
#define PPIN 13 // ppin
byte val=B00000000; // init val

/* Initialization
 *********************************************************/
void setup() {
  Serial.begin(9600);
  pinMode(LIGHT_PIN, OUTPUT);
  pinMode(PPIN, OUTPUT);
  Serial.println("USB Alarm Controller v1.0 20100715");

  // Initalize the LIGHT_PIN and SPEAKER_PIN in the off/LOW state in case they for 
  // some reason are were hung.  Necessary?
  digitalWrite(LIGHT_PIN, LOW);
  digitalWrite(SPEAKER_PIN,LOW);
}



/* Sound
 *********************************************************/

// notes in the melody:
int melody[] = {
  NOTE_C4, NOTE_G3,NOTE_G3, NOTE_A3, NOTE_G3,0, NOTE_B3, NOTE_C4};

// our beep function
void beep (int type){ 	 
  // 3 Tones
  if(type == 1){
    int noteDuration = 500;
    tone(8, melody[3],noteDuration);
    int pauseBetweenNotes = noteDuration * 1.30;
    delay(pauseBetweenNotes);
    tone(8, melody[3],noteDuration);
    delay(pauseBetweenNotes);
    tone(8, melody[3],noteDuration);

  // 4 Tones
  } else if (type == 2){
    int noteDuration = 500;
    tone(8, melody[1],noteDuration);
    int pauseBetweenNotes = noteDuration * 1.30;
    delay(pauseBetweenNotes);
    tone(8, melody[1],noteDuration);
    delay(pauseBetweenNotes);
    tone(8, melody[1],noteDuration);
    delay(pauseBetweenNotes);
    tone(8, melody[1],noteDuration);
  } 
}

/* Main Logic Loop
 *********************************************************/
void loop() {
  if (Serial.available()) 
  {
    val = Serial.read();

    // Some debug
    // When we first see a change we beep
    Serial.print("Received: ");
    Serial.print(val);
    if (val==49){ 
      Serial.println("\tAlert 1"); 
      beep(1);
    }
    else if (val==50){ 
      Serial.println("\tAlert 2"); 
      beep(2);
    }
    else if (val==48){ 
      Serial.println("\tOFF");  
    } 
    else { 
      Serial.println ("\tInvalid control Signal"); 
    }
  }
  // Alert Type 1
  if (val==49)
  {
    digitalWrite(LIGHT_PIN, HIGH);
  }

  // Alert Type 2
  if (val==50)
  {
    digitalWrite(LIGHT_PIN, HIGH);
  }

  // Disable (0).
  else if (val==48)
  {
    digitalWrite(LIGHT_PIN, LOW);
  }
  else {
  }
}

